--- gcompris-12.05-old/configure.ac	2012-06-09 10:48:14.000000000 +0300
+++ gcompris-12.05/configure.ac	2012-10-17 19:54:08.111038898 +0300
@@ -216,6 +216,13 @@
           [For Windows or MacOSX version, disable the activation code]),
           disable_activation_code="$enableval", disable_activation_code="no")
 
+dnl internal GnuChess
+AC_ARG_ENABLE(build-gnuchess,
+          AC_HELP_STRING(
+          [--enable-build-gnuchess],
+          [For Gnu/Linux, compile our version of GnuChess]),
+          build_gnuchess="$enableval", build_gnuchess="no")
+
 dnl WIN32 Specifics
 AC_MSG_CHECKING([for Win32 platform in general])
 case "$host" in
@@ -359,13 +366,17 @@
   AC_DEFINE_UNQUOTED(SYSTEM_CONFIG_DIR, "/etc", [System GCompris config directory])
 
   dnl Test for gnuchess
-  AC_PATH_PROGS(GNUCHESS, gnuchess gnome-gnuchess, no, [/usr/bin:/usr/games:/usr/local/bin:$PATH])
+  if test x$build_gnuchess = xno; then
+    AC_PATH_PROGS(GNUCHESS, gnuchess gnome-gnuchess, no, [/usr/bin:/usr/games:/usr/local/bin:$PATH])
+  else
+    GNUCHESS="/usr/bin/gcompris-gnuchess"
+  fi
+
   if test x$GNUCHESS = xno; then
     AC_MSG_ERROR([Couldn't find gnuchess, please install the gnuchess package version]
-                 [ 5 or above or define the environment variable GNUCHESS.])
+		 [ 5 or above or define the environment variable GNUCHESS.])
   fi
   AC_DEFINE_UNQUOTED(GNUCHESS, "$GNUCHESS", Defines where GNU Chess resides on the system)
-  build_gnuchess=no
 fi
 AM_CONDITIONAL(BUILD_GNUCHESS, test x$build_gnuchess != xno)
 
@@ -892,6 +903,8 @@
 
 echo "SQLITE database (--enable-sqlite)        = $with_sqlite (profiles depend on this)"
 
+echo "Internal GnuChess                        = $build_gnuchess (--enable-build-gnuchess)"
+
 echo "Sugar DE Support                         = $with_sugar"
 echo "GNET Networking (--enable-gnet)          = $with_gnet (networking depends on this)"
 echo "BINRELOC (--enable-binreloc)             = $br_cv_binreloc"
